| Home | Libraries | People | FAQ | More

## Function template erase_nth

boost::algorithm::erase_nth — Erase nth algorithm.

## Synopsis

    template<typename SequenceT, typename CollectionT>
      void erase_nth(SequenceT & Input, const CollectionT & Search,
                     unsigned int Nth);

## Description

Remove the Nth occurence of the substring in the input. The input sequence is modified in-place.

Parameters

Input

  An input string

Nth

  An index of the match to be replaced. The index is 0-based.

Search

  A substring to be searched for.

| Copyright © 2002-2004 Pavol Droba